UI.AddCheckbox("Autoscope Fix")

function autoscope()
{
    localplayer_index = Entity.GetLocalPlayer( )
    localplayer_weapon = Entity.GetWeapon(localplayer_index)
    weapon_name = Entity.GetName(localplayer_weapon)

    if (UI.GetValue( "Misc", "JAVASCRIPT", "Script items", "Autoscope Fix") && (weapon_name == "scar 20" ||  weapon_name == "g3sg1"))
        UI.SetValue( "Rage", "GENERAL", "General", "Auto scope", false )
    else
        UI.SetValue ("Rage", "GENERAL", "General", "Auto scope", true)
}

Cheat.RegisterCallback("Draw","autoscope")